﻿using System;
using Xamarin.Forms;
using System.Diagnostics;

namespace FormsComponentDemo
{
	public class EntryValidation : TriggerAction<FormEntry>
	{
		protected override void Invoke (FormEntry sender)
		{
			Debug.WriteLine ("3 - EntryValidation called");

			if (sender.Text.Length > 5)
			{
				sender.Validated = true;
			} else
			{
				sender.Validated = false;
			}
		}
	}

	public class DemoPage : ContentPage
	{
		public DemoPage ()
		{
			this.Padding = new Thickness (10, Device.OnPlatform (20, 0, 0), 10, 5);

			FormEntry fe = new FormEntry () {
				Triggers = {

					new EventTrigger () { Event = "ControlChanged", Actions = { new EntryValidation () } }
				}
			};

			Content = new StackLayout {
				Padding = new Thickness(0, 20, 0, 0),
				Children = {
					new Label {
						Text = "When typing, I want to icon to the left, to fade into the 'checked' icon, when length is more than 5 characters. This 'validation' happens in the 'EntryValidation' trigger class.",
					},
					fe,
				}
			};
		}
	}
}

