﻿using System;
using Xamarin.Forms;
using System.Diagnostics;

namespace FormsComponentDemo
{
	public class FormEntry : View
	{
		public static readonly BindableProperty TextProperty = BindableProperty.Create<FormEntry, string>(p => p.Text, "");
		public string Text
		{
			get { return (string)GetValue(TextProperty); }
			set { SetValue(TextProperty, value); }
		}

		public static readonly BindableProperty ValidatedProperty = BindableProperty.Create<FormEntry, bool>(p => p.Validated, false);
		public bool Validated
		{
			get { return (bool)GetValue(ValidatedProperty); }
			set { SetValue(ValidatedProperty, value); }
		}

		public event EventHandler ControlChanged;

		public void SendControlChanged()
		{
			var handler = ControlChanged;
			if (handler != null)
				handler (this, EventArgs.Empty);
		}
	}
}

